Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519158 - [Web-Admin] Sorting in RHGSWA is not working with firefox browser [NEEDINFO]
Summary: [Web-Admin] Sorting in RHGSWA is not working with firefox browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Neha Gupta
QA Contact: Daniel Horák
URL:
Whiteboard:
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-30 10:19 UTC by Prasad Desala
Modified: 2018-09-04 07:00 UTC (History)
9 users (show)

Fixed In Version: tendrl-ansible-1.6.1-2.el7rhgs.noarch.rpm, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: Bug Fix
Doc Text:
Cause: On the Red Hat Gluster Storage Web Administration Console, the sort button does not work for Firefox. Consequence:Due to this clusters, hosts, volumes and other columns remain unsorted Result: On the Red Hat Gluster Storage Web Administration Console, the sort button work for Firefox
Clone Of:
Environment:
Last Closed: 2018-09-04 06:59:21 UTC
rghatvis: needinfo? (negupta)


Attachments (Terms of Use)
Sorting snap (deleted)
2017-11-30 10:19 UTC, Prasad Desala
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:00:23 UTC
Github https://github.com/Tendrl ui issues 771 None None None 2018-01-10 04:45:14 UTC

Description Prasad Desala 2017-11-30 10:19:54 UTC
Created attachment 1360807 [details]
Sorting snap

Description of problem:
=======================
Sorting in RHGSWA is not working with firefox browser.

Version-Release number of selected component (if applicable):

tendrl-monitoring-integration-1.5.4-8.el7rhgs.noarch
tendrl-commons-1.5.4-5.el7rhgs.noarch
tendrl-api-httpd-1.5.4-3.el7rhgs.noarch
tendrl-selinux-1.5.4-1.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-8.el7rhgs.noarch
tendrl-notifier-1.5.4-5.el7rhgs.noarch
tendrl-node-agent-1.5.4-8.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-1.el7rhgs.noarch
tendrl-ansible-1.5.4-2.el7rhgs.noarch
tendrl-api-1.5.4-3.el7rhgs.noarch

How reproducible:
=================
Always on firexfox 55.0.3

Steps to Reproduce:
===================
1)Login into RHGS web administration console via firefox browser.
2)Click on clusters --> sort button (with down arrow A Z)

Actual results:
===============
Clusters/hosts/volumes are not sorted when clicked on sort button.

Expected results:
=================
Sorting should work with any browser.

Additional info:
===============
This issue is seen with firefox browser, on chrome sorting is working as expected.

Comment 2 Sweta Anandpara 2017-12-06 06:06:56 UTC
As instructed, I have changed the doctype to known_issue. 

Anjana, Could you please ensure if the right flags are present for this bug, so that it doesn't get missed? Thanks!

Comment 6 Nishanth Thomas 2017-12-15 12:23:47 UTC
Updated, pls check

Comment 9 Daniel Horák 2018-07-12 14:04:25 UTC
Tested and verified from firefox-60.0-0.4.el7.x86_64 against cluster with:
  tendrl-ansible-1.6.3-5.el7rhgs.noarch
  tendrl-api-1.6.3-4.el7rhgs.noarch
  tendrl-api-httpd-1.6.3-4.el7rhgs.noarch
  tendrl-commons-1.6.3-8.el7rhgs.noarch
  tendrl-grafana-plugins-1.6.3-6.el7rhgs.noarch
  tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-monitoring-integration-1.6.3-6.el7rhgs.noarch
  tendrl-node-agent-1.6.3-8.el7rhgs.noarch
  tendrl-notifier-1.6.3-4.el7rhgs.noarch
  tendrl-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-ui-1.6.3-6.el7rhgs.noarch

Filtering on Clusters, (Cluster) Hosts, and (Cluster) Volumes pages works
correctly.

>> VERIFIED

Comment 13 errata-xmlrpc 2018-09-04 06:59:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.